org.eclipse.jetty.io.nio

## Class SelectorManager.SelectSet

- java.lang.Object
- - org.eclipse.jetty.io.nio.SelectorManager.SelectSet

- All Implemented Interfaces:
    Dumpable
  Enclosing class:
    SelectorManager

      public class SelectorManager.SelectSet
      extends java.lang.Object
      implements Dumpable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChange(java.lang.Object change)`
    `void` | `addChange(java.nio.channels.SelectableChannel channel, java.lang.Object att)`
    `void` | `cancelTimeout(Timeout.Task task)`
    `void` | `destroyEndPoint(SelectChannelEndPoint endp)`
    `void` | `doSelect()` Select and dispatch tasks found from changes and the selector.
    `java.lang.String` | `dump()`
    `void` | `dump(java.lang.Appendable out, java.lang.String indent)`
    `void` | `dumpKeyState(java.util.List<java.lang.Object> dumpto)`
    `SelectorManager` | `getManager()`
    `long` | `getNow()`
    `void` | `scheduleTimeout(Timeout.Task task, long timeoutMs)`
    `java.lang.String` | `toString()`
    `void` | `wakeup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### addChange

          public void addChange(java.lang.Object change)

    - #### addChange

          public void addChange(java.nio.channels.SelectableChannel channel,
                       java.lang.Object att)

    - #### doSelect

          public void doSelect()
                        throws java.io.IOException

      Select and dispatch tasks found from changes and the selector.
      Throws:
        `java.io.IOException`

    - #### getManager

          public SelectorManager getManager()

    - #### getNow

          public long getNow()

    - #### scheduleTimeout

          public void scheduleTimeout(Timeout.Task task,
                             long timeoutMs)

      Parameters:
        `task` - The task to timeout. If it implements Runnable, then expired will be called from a dispatched thread.
        `timeoutMs` -

    - #### cancelTimeout

          public void cancelTimeout(Timeout.Task task)

    - #### wakeup

          public void wakeup()

    - #### destroyEndPoint

          public void destroyEndPoint(SelectChannelEndPoint endp)

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `Dumpable`

    - #### dump

          public void dump(java.lang.Appendable out,
                  java.lang.String indent)
                    throws java.io.IOException

      Specified by:
        `dump` in interface `Dumpable`
      Throws:
        `java.io.IOException`

    - #### dumpKeyState

          public void dumpKeyState(java.util.List<java.lang.Object> dumpto)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.